<!DOCTYPE html>
<html lang='en'>
    <head>
        <title>ASSIGNEMENT1</title>
        <meta charset="UTF-8">
        <!--Connecting the the css, js to this html page-->
        <link rel="stylesheet" href="../css/style.css"/>
        <link rel="stylesheet" href="../css/table.css"/>
        <script src="../js/table_generator.js"></script>
        <script src="../js/utilities.js"></script>
    </head>
    <body>
        <section id='main_container'>
            <header>
                <p>420-320 Assignment 1</p>
            </header>
            <section id='middle-section'>
                <section id='top-section'>
                    <!-- Creating the form and the fieldset-->
                    <form>
                        <fieldset>
                            <legend>row-count</legend>
                            <input type="number" id="nber-rows" name="nber-rows" min="1" value="2">
                        </fieldset>
                        <fieldset>
                            <legend>col-count</legend>
                                <input type="number" id="nber-cols" name="nber-cols" min="1" value="2">                            
                        </fieldset>
                        <fieldset> 
                            <legend>table-width</legend>
                                <input type="number" id="table-width" name="table-width" min="1" value="80">
                        </fieldset>
                        <fieldset>
                            <legend>text-color</legend>
                                <input type="color" id="text-color" name="text-color" value="#000000">
                        </fieldset>
                        <fieldset>
                            <legend>background-color</legend>
                                <input type="color" id="table-background" name="table-background" value="#FFFFFF">
                        </fieldset>
                        <fieldset>
                            <legend>border-width</legend>
                                <input type="number" id="border-width" name="border-width" min="1" value="1">
                        </fieldset>
                        <fieldset>
                            <legend>border-color</legend>
                                <input type="color" id="border-color" name="border-color" value="#000000">
                        </fieldset>
                    </form>
                </section>
                <section id='main-section'>
                    <section id='tbl-render-space'>
                        <!-- here, tbl will be rendered dynamically by your js code-->
                    </section>
                    <section id='tbl-html-space'>
                        <!--here, the tbl html code will be generated and shown in txtarea 
                            that u create dynamically as well-->
                    </section>
                </section>
            </section>
            <footer>
                <p>
                    Mohamed Loutfi, 2141950, Section 2, copyright © <strong>Fall 2022</strong>
                </p>
            </footer>
        </section>
    </body>
</html>
